<template>
  <div class="msg-Notification-style">
    <div v-for="(item,index) in list" :key="index" class="item">
      <div class="item-left" @click="viewMsgInfo(item)">
        <div class="title-style">
          <span>{{item.title}}</span>
          <el-tag :type="item.readFlag === '0' ? 'success' : 'info'" size="small" class="tag">
            {{item.readFlag === '0' ? '未读' : '已读'}}
          </el-tag>
        </div>
        <div v-if="item.sendTime" class="time-style">
          <span>{{item.sendTime}}</span>
        </div>
        <div class="info-style">{{item.content}}</div>
      </div>
      <div @click="delMsg(item.id)" class="item-right">
        <i class="el-icon-delete"></i>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "msgNotificationModule",
  props: {
    list: {
      type: Array,
      default() {
        return []
      }
    }
  },
  data() {
    return {}
  },
  methods: {
    delMsg(id) {
      this.$confirm('删除后无法恢复，确认要删除吗?', '提示', {
        confirmButtonText: '确定',
        cancelButtonText: '取消',
        type: 'warning'
      }).then(() => {
        this.$emit("del", id)
      }).catch(() => {
        //取消删除
      });
    },
    viewMsgInfo(item) {
      this.$emit("clickInfo", item)
    }
  }
}
</script>

<style lang="scss">
.msg-Notification-style {
  .item {
    padding: 12px 10px;
    border-bottom: 1px solid #ebeef5;
    cursor: pointer;
    position: relative;
    .item-right {
      position: absolute;
      top: 13px;
      font-size: 16px;
      color: #909399;
      width: 30px;
      text-align: right;
    }
    .item-left {
      width: calc(100% - 30px);
    }
    .item-left,
    .item-right {
      display: inline-block;
    }
    .read-style {
      .title-style,
      .time-style,
      .info-style {
        color: #999 !important;
      }
    }
    .title-style {
      font-size: 15px;
      font-weight: bold;
      position: relative;
    }
    .time-style {
      color: #999;
      font-size: 13px;
    }
    .info-style {
      color: #666;
      font-size: 14px;
    }
    .time-style,
    .title-style {
      margin-bottom: 8px;
    }
  }
  .item:last-child {
    border-bottom: none;
  }
  .tag {
    margin-left: 10px;
    position: relative;
    bottom: 0;
  }
}
</style>